Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing the SSL/TLS provider credentials of the organisation

Note

The result is automatically restricted to the organisation of the requesting user.

Sends a GET request to the endpoint /ssl/providers.

Description

The List-Ssl-Provider-Credentials request returns all SSL/TLS provider credentials of the organisation.

Requirements

Values of the request: none Objects: none

Request

To request all SSL/TLS provider credentials of the organisation, send a GET request to the endpoint /ssl/providers. The request supports the optional query parameters search, page, pageSize, language, and provider to filter and paginate the result. As a result, a list of objects SslProviderCredentialsVO with the requested information is returned.

The object provides the following information:

Attributes Description Values
id The ID of the credentials entry. integer
name The name of the credentials entry. string
provider The ACME provider to which these credentials belong.
  • SECTIGO
  • DTRUST
email The contact email address of the ACME account. Always empty for the provider DTRUST. string
endpoint The ACME endpoint URL. Required for the provider SECTIGO. string
eabKid The EAB key identifier (External Account Binding) of the ACME account. string
eabHmac The EAB HMAC key of the ACME account. Only visible to Myra super admins, never returned to customer administrators. string
cert The ACME account certificate. Only visible to Myra super admins, never returned to customer administrators. string
privateKey The private key belonging to cert. Only visible to Myra super admins, never returned to customer administrators. string
comment An individual comment for the entry. string
modified The date of the last change, in ISO 8601 format. string($date-time)
created The creation date, in ISO 8601 format. string($date-time)

Example

Example response:

[
  {
    "id": 0,
    "name": "string",
    "provider": "SECTIGO",
    "email": "string",
    "endpoint": "string",
    "eabKid": "string",
    "eabHmac": "string",
    "cert": "string",
    "privateKey": "string",
    "comment": "string",
    "modified": "2026-01-01T00:00:00+00:00",
    "created": "2026-01-01T00:00:00+00:00"
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.